Bug 211468 - clustat always returns with exit code 0
Summary: clustat always returns with exit code 0
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-19 15:56 UTC by Lon Hohberger
Modified: 2009-04-16 22:36 UTC (History)
1 user (show)

Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-23 01:27:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lon Hohberger 2006-10-19 15:56:15 UTC
+++ This bug was initially created as a clone of Bug #210455 +++

Description of problem:

SSIA, when using e.g. "clustat -s <service>", it always returns with exit code 0
regardless of whether the service is running/disabled/failed. This makes using
clustat in scripts more difficult than it had to be.

Version-Release number of selected component (if applicable):

How reproducible:

Easy

Steps to Reproduce:
1. "clustat -s <service>
  
Actual results:
always exit code 0

Expected results:
should only return 0 on success (service is running), should return different
non-zero values for disabled/failed/service unknown/...

Additional info:

Comment 1 Lon Hohberger 2006-12-13 18:39:38 UTC
Fixes in CVS.

Comment 3 RHEL Product and Program Management 2006-12-23 01:27:49 UTC
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.


Comment 4 Nate Straz 2007-12-13 17:18:37 UTC
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.


Note You need to log in before you can comment on or make changes to this bug.